Bug 1937658 - Description for storage class encryption during storagecluster creation needs to be updated
Summary: Description for storage class encryption during storagecluster creation needs...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.8.0
Assignee: gowtham
QA Contact: Rachael
URL:
Whiteboard:
Depends On:
Blocks: 1942843
TreeView+ depends on / blocked
 
Reported: 2021-03-11 09:27 UTC by Rachael
Modified: 2021-07-27 22:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1942843 (view as bug list)
Environment:
Last Closed: 2021-07-27 22:52:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot (68.48 KB, image/png)
2021-03-11 09:27 UTC, Rachael
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8402 0 None open Bug 1937658: Updating description for storage class encryption 2021-03-17 14:59:41 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:53:08 UTC

Description Rachael 2021-03-11 09:27:41 UTC
Created attachment 1762573 [details]
Screenshot

Description of problem:

The description for Storagclass encryption in the "Configure" page of OCS storage cluster creation needs to be updated. The current description states that "A new storage class will be created with encryption enabled...", which is not available in OCS 4.7. The storage class needs to be manually created by the user after deployment. The description needs to be changed to reflect the same.

Version-Release number of selected component (if applicable):
OCP: 4.7.0-0.nightly-2021-03-06-183610
OCS: ocs-operator.v4.7.0-286.ci

How reproducible:
100%

Steps to Reproduce:
1. Install the OCS operator for OCS 4.7
2. Once the operator is installed, create storagecluster for OCS
3. In the storagecluster creation page, in the "Configure" section, click on "Enable Encryption"
4. The two levels of encryption, cluster wide and storageclass encryption will be listed along with a description for each

Actual results:
The description for storage class encryption does not match the actual implementation. A new storage class with encryption enabled is not created.


Expected results:
The description should match the expected outcome.

Comment 8 errata-xmlrpc 2021-07-27 22:52:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.